## jss 4.4.2

=== debian/changelog ===
jss (4.4.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #875589)
  * patches: Drop all patches, everything upstream.
  * files, links, rules: Packaging changes for the new version.
  * control: Update the maintainer address to.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Sep 2017 21:44:04 +0300

jss (4.3.1-7) unstable; urgency=medium

  * Sync patches with fedora 4.2.6-42.
    - merge symkey
  * control: Bump policy to 3.9.8, no changes.
  * control: Use https for vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Aug 2016 14:05:48 +0300

jss (4.3.1-6) unstable; urgency=medium

  * jss-PBE-PKCS5-V2-secure-P12.patch: Bump NUM_ALGS. (Closes: #688472)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Nov 2014 15:48:14 +0200

jss (4.3.1-5) unstable; urgency=medium

  * control: Bump policy to 3.9.6.
  * Use debhelper 9.
  * jss-support-TLS1_1-TLS1_2.patch: Add support for TLSv1.1 and v1.2.
  * jss-RC4-strengh-verify.patch: Verify RC4 strength.
  * control: Update my email.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 13:14:31 +0300

jss (4.3.1-4) unstable; urgency=low

  [ Timo Aaltonen ]
  * Update pull_coreconf.patch and match Linux3.0* during clean.
  * rules:
    - Remove dist/ on clean.
    - Use openjdk-6 instead of gcj.
  * patches: Add a bunch of patches from Fedora.
  * control: Change the VCS header to point to the git repository.
  * compat: Bump to 8.
  * control: Build-depend on default-jdk.
  * control: Update the maintainer address.
  * control: Drop jre dependency per current java policy.
  * patches: More patches from Fedora.
  * rules: Install the library in /usr/lib/jss.
  * control: Bump standards to 3.9.3, no changes.
  * control: Update the uploaders field.
  * rules: Added build-arch and build-indep targets.
  * rules: Replace dh_clean -k with dh_prep.

  [ Ghe Rivero ]
  * Fixed JAVA_HOME default path

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 27 Jun 2012 18:00:53 +0200
