=== debian/control ===
Source: jss
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
Priority: optional
Build-Depends: debhelper (>= 9),
 default-jdk,
 libnss3-dev,
 pkg-config,
 quilt,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-fedora-ds/jss.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fedora-ds/jss.git
Homepage: http://www.mozilla.org/projects/security/pki/jss/

Package: libjss-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Security Services for Java
 Network Security Services for Java (JSS) is a Java interface 
 to NSS. It supports most of the security standards and 
 encryption technologies supported by NSS. JSS also provides 
 a pure Java interface for ASN.1 types and BER/DER encoding.
