=== debian/changelog ===
jss (4.4.3-1) unstable; urgency=medium

  * New upstream release.
    - jss-*.patch: Dropped, upstream
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 10:42:06 +0300

jss (4.4.2-6) unstable; urgency=medium

  * rules: Fix JAVA_HOME.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 15:35:35 +0300

jss (4.4.2-5) unstable; urgency=medium

  * control: Build with jdk8, dogtag-pki needs it.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 14:03:10 +0300

jss (4.4.2-4) unstable; urgency=medium

  * fix-jdk9-ftbfs.diff: Fix build with openjdk-9. (Closes: #893217)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Apr 2018 00:59:27 +0300

jss (4.4.2-3) unstable; urgency=medium

  * patches: Add three new patches from upstream for Dogtag.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2018 12:25:43 +0200

jss (4.4.2-2) unstable; urgency=medium

  * patches: Add six patches from Fedora for Dogtag.
  * control: Update git urls to point to pkg-freeipa.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 16:52:36 +0200
