=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
 Build-Depends: debhelper (>= 9),
- default-jdk,
+ openjdk-8-jdk,
  libnss3-dev,
  pkg-config,
  quilt,
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-fedora-ds/jss.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fedora-ds/jss.git
+Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
+Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: http://www.mozilla.org/projects/security/pki/jss/
 
 Package: libjss-java
