=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 export USE_INSTALLED_NSPR=1
 export USE_INSTALLED_NSS=1
 
-export JAVA_HOME=/usr/lib/jvm/default-java
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)
 
 # Generate symbolic info for debuggers
 XCFLAGS="-g"
