=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/security/jss/releases/JSS_(\d_\d_\d)_RTM/src/jss-(\d\.\d.\d).tar.bz2
