=== debian/changelog ===
jss (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add breaks on current libidm-console-framework-java and
    libldap-java.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Aug 2018 13:51:08 +0300

jss (4.5.0~a4-1) unstable; urgency=medium

  * New upstream prerelease.
  * fix-jdk9-ftbfs.diff: Updated, and disabled.
  * rules:
    - fix gentarball target
    - fix build for new source layout
    - override dh_auto_clean and dh_auto_test
  * watch: Updated.
  * control: Add libcommons-codec-java, libcommons-lang-java, libslf4j-
    java to build-depends.
  * rules: Create symlinks in dh_auto_install.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Aug 2018 11:11:14 +0300

jss (4.4.4-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to point to github.
  * control: Update homepage.
  * control: Update maintainer address.
  * Bump debhelper to 11.
  * links, install: Updated.
  * rules: Use dh.
  * rules: Add gentarball target.
  * README.source: Deleted, obsolete.
  * Bump policy to 4.1.4, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jun 2018 10:16:36 +0300
