=== debian/changelog ===
jss (4.5.1-1) unstable; urgency=medium

  * New upstream release.
    - build against default-jdk. (Closes: #895643)
    - build system rewritten, add cmake, libjaxb-api-java, libnss3-tools,
      unzip, zip to build-depends, and libjaxb-api-java to depends
  * control: Bump policy to 4.2.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 18:13:59 +0200
