=== debian/control ===
--- 
+++ 
@@ -4,21 +4,27 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
 Build-Depends: debhelper (>= 11),
- openjdk-8-jdk,
+ cmake,
+ default-jdk,
  libcommons-codec-java,
  libcommons-lang-java,
+ libjaxb-api-java,
  libnss3-dev,
+ libnss3-tools,
  libslf4j-java,
  pkg-config,
  quilt,
-Standards-Version: 4.1.4
+ unzip,
+ zip,
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss
 
 Package: libjss-java
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libjaxb-api-java,
 Breaks: libidm-console-framework-java (<< 1.2.0),
  libldap-java (<< 4.20.0),
 Description: Network Security Services for Java
