=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

override_dh_auto_configure:
	dh_auto_configure -- \
		-DJAVA_LIB_INSTALL_DIR=/usr/share/java

override_dh_auto_build:
	cd build && make all test javadoc

override_dh_auto_clean:

override_dh_clean:
	rm -rf build/* build/.targets
	rm -f org/mozilla/jss/util/jssver.h
	dh_clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 build/jss4.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	install -m 0755 build/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss

	# Required by ldapjdk
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss.jar
	# Required by idm-console-framework
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar

override_dh_auto_test:


# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=jss-$(UV)/ | \
		xz --best \
		> ../jss_$(UV).orig.tar.xz

%:
	dh $@ --with quilt --builddirectory=build/
