=== debian/watch ===
version=3
options=uversionmangle=s/-/~/ \
https://github.com/dogtagpki/jss/releases/ (?:.*?/)?v@ANY_VERSION@\.tar\.gz
