=== debian/changelog ===
jss (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.4.0.
  * control, compat: Bump debhelper to 12.
  * support-jdk8.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jul 2019 10:43:01 +0300

jss (4.5.3-2) experimental; urgency=medium

  * support-jdk8.diff: Build with -target/-source 1.8.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 21:05:34 +0300

jss (4.5.3-1) experimental; urgency=medium

  * New upstream release.
  * fix-jdk9-ftbfs.diff: Dropped, obsolete and not applied.
  * control: Add junit4 to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 18:20:35 +0300
