=== debian/changelog ===
jss (4.6.1-3) unstable; urgency=medium

  * use-release-8.diff: Set --release=8.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Sep 2019 18:06:52 +0300

jss (4.6.1-2) unstable; urgency=medium

  * fix-bufferprfd.diff: Fix tests on big-endian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Sep 2019 07:13:43 +0300

jss (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Print test output on failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 23:47:49 +0300
