=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  cmake,
  default-jdk,
+ junit4,
  libcommons-codec-java,
  libcommons-lang-java,
  libjaxb-api-java,
@@ -16,7 +17,7 @@
  quilt,
  unzip,
  zip,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss
