## jss 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 # Define optional variables and conditionals.
 if (DEFINED ENV{CHECK_DEPRECATION})
+    set(CHECK_DEPRECATION_ENV TRUE)
+endif()
+option(CHECK_DEPRECATION "When enabled, utilize the deprecation checking functionality of the java compiler." ${CHECK_DEPRECATION_ENV})
+if (CHECK_DEPRECATION)
     list(APPEND JSS_JAVAC_FLAGS "-Xlint:deprecation")
 endif()
 
@@ -18,6 +22,11 @@
     set(FIPS_ENABLED_ENV TRUE)
 endif()
 option(FIPS_ENABLED "When enabled, disable certain tests which don't work in FIPS mode. This should only be specified when the host system is in FIPS mode." ${FIPS_ENABLED_ENV})
+
+if (DEFINED ENV{SANDBOX})
+    set(SANDBOX_ENV TRUE)
+endif()
+option(SANDBOX "When enabled, expect to find nss and nspr from the parent (sandbox) directory instead of using the system-installed versions of the libraries." ${SANDBOX_ENV})
 
 # Build a debug build by default when no type is specified on the command line
 if(NOT (DEFINED CMAKE_BUILD_TYPE))
@@ -33,8 +42,14 @@
 find_package(Java REQUIRED)
 find_package(JNI REQUIRED)
 
+# Shims for older CMake versions without useful features.
+include(Shims)
+
 # Since we found Java, include UseJava to provide the find_jar function.
 include(UseJava)
+
+# This include is required for the macro check_symbol_exists in jss_config()
+include(CheckSymbolExists)
 
 # Load JSSConfig module; this defines the jss_config() macro which defines
 # JSS-specific configuration values.
