=== debian/changelog ===
jss (4.6.2-1) unstable; urgency=medium

  * New upstream release.
    - fix CVE-2019-14823 (Closes: #942463)
  * fix-bufferprfd.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Oct 2019 12:55:52 +0300
