=== debian/changelog ===
jss (4.6.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #952328)
  * disable-kbkdf.diff: Disable KBKDF support until we have NSS 3.51.
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Feb 2020 13:30:49 +0200
