## jss 4.7.3

=== debian/changelog ===
jss (4.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Sep 2020 14:28:53 +0300

jss (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Aug 2020 13:36:28 +0300

jss (4.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Aug 2020 15:37:23 +0300

jss (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 11:27:48 +0300

jss (4.7.0~b4-2) unstable; urgency=medium

  * Release to sid. (LP: #963279)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jul 2020 14:34:26 +0300

jss (4.7.0~b4-1) experimental; urgency=medium

  * New upstream beta release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Jul 2020 07:02:35 +0300

jss (4.7.0~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * disable-kbkdf.diff: Dropped, we have nss 3.51 now.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 May 2020 23:34:40 +0300
