## jss 4.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,11 @@
     set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
+if (DEFINED ENV{WITH_INTERNET})
+    set(TEST_WITH_INTERNET_ENV TRUE)
+endif()
+option(TEST_WITH_INTERNET "When enabled, runs various tests which require an internet connection. " ${TEST_WITH_INTERNET_ENV})
+
 # Find NSPR and NSS Libraries.
 find_package(NSPR REQUIRED)
 find_package(NSS REQUIRED)
@@ -53,8 +58,10 @@
 # Since we found Java, include UseJava to provide the find_jar function.
 include(UseJava)
 
-# This include is required for the macro check_symbol_exists in jss_config()
+# These includes are required for the macro check_symbol_exists and
+# check_struct_has_member in jss_config().
 include(CheckSymbolExists)
+include(CheckStructHasMember)
 
 # Load JSSConfig module; this defines the jss_config() macro which defines
 # JSS-specific configuration values.
