=== debian/changelog ===
jss (4.8.0-2) unstable; urgency=medium

  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Fix tests with
    nss-3.59. (Closes: #975212)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Dec 2020 15:08:12 +0200

jss (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Build using libcommons-lang3-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 31 Oct 2020 19:16:32 +0200
