=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  default-jdk,
  junit4,
  libcommons-codec-java,
- libcommons-lang-java,
+ libcommons-lang3-java,
  libjaxb-api-java,
  libnss3-dev,
  libnss3-tools,
@@ -25,6 +25,7 @@
 Package: libjss-java
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ libcommons-lang3-java,
  libjaxb-api-java,
 Breaks: libidm-console-framework-java (<< 1.2.0),
  libldap-java (<< 4.20.0),
