=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		-DJAVA_LIB_INSTALL_DIR=/usr/share/java
 
 override_dh_auto_build:
-	cd build && make all test javadoc
+	cd build && make all javadoc
 
 override_dh_auto_clean:
 
@@ -35,7 +35,7 @@
 		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar
 
 override_dh_auto_test:
-
+	cd build && ctest --output-on-failure
 
 # For maintainer use only, generate a tarball:
 gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
