## jss 5.0.0

=== debian/changelog ===
jss (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: libjaxb-api-java is no longer needed, drop it from (build-
    )depends.
  * control: Drop obsolete breaks.
  * use-release-8.diff: Dropped.
  * install: Version number got dropped from the build, so fix the
    install.
  * control: Add Breaks for current versions of libtomcatjss-java,
    libldap-java and libidm-console-framework-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 22:17:45 +0300

jss (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump cmake build-dependency to 3.14.
  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Dropped,
    upstream.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Sep 2021 11:35:55 +0300
