=== debian/rules ===
--- 
+++ 
@@ -24,15 +24,8 @@
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
-	install -m 644 build/jss4.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
-	install -m 0755 build/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss
-
-	# Required by ldapjdk
-	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
-		$(CURDIR)/debian/tmp/usr/share/java/jss.jar
-	# Required by idm-console-framework
-	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
-		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar
+	install -m 644 build/jss.jar $(CURDIR)/debian/tmp/usr/share/java/jss.jar
+	install -m 0755 build/libjss.so $(CURDIR)/debian/tmp/usr/lib/jss
 
 override_dh_auto_test:
 	cd build && ctest --output-on-failure
