=== debian/watch ===
version=3
options=uversionmangle=s/-/~/,filenamemangle=s%(?:.*?)?v@ANY_VERSION@\.tar\.gz%jss-$1.tar.gz% \
https://github.com/dogtagpki/jss/releases/ (?:.*?/)?v@ANY_VERSION@\.tar\.gz
